/// class PD.Web.UI.Controls.ViewGridShowDesignColumnsDialogCommand
/// using PD.Web.UI.Controls.ViewGridCommand

PD.Web.UI.Controls.ViewGridShowDesignColumnsDialogCommand =
PD.Web.UI.Controls.ViewGridCommand.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this._super();
        this.props("id", "view-grid/design-columns-dialog");
        this.props("enabled", true);
        this.props("icon", "plus.14px.font");
        this.props("label", "Columns...");
        this.props("tooltip", "Columns...");
    },

    execute: function (e) {
        this._super(e);

        PDJS.Shared.Views.ColumnsDialog.open({
            viewStateId: this.get_viewStateId(),
            componentType: "design",
            select: {
                ok: () => {
                    this.get_viewGrid().build();
                }
            }
        });

    }

});